Subject: Re: Re: edit-config

From: "王罕" <[email-masked]>
Date: Wed, 15 Dec 2004 09:10:01 +0800

noe， 

  I think Andy has give a good answer. merging result in either replacing or creating. 　　

Best Regards
Wang Han

------------------------------------------------------------
Wang Han

[email-masked]
Research Center of Network Technology
Nanjing University of Posts and Telecommunications
――――――――――――――――――――――――――
======== 2004-12-15 01:20:53  noe said： =====

Hello Han,

Yeah the result will be always setting the MTU to 1500 but in the case
you say we are either replacing or creating but not merging? I am still
confused on that.

Thank you,

Noe

王罕 wrote:

>  noe，
>  　　I think if there HAS been an interface named "ethernet0/0" in the
>  target configuration, the operation
>  will set its MTU to 1500, if not, the operation will create a Element
>  named "Ethernet0/0" in the target
>  configuration, and then set its MTU to 1500.
>  so, it's result will always be to setting the MTU value to 1500 in the
>  configuration, just as what the prop has said.
>  Best Regards
>  Wang Han
>  ======== 2004-12-14 01:21:28 noe said： =====
> 
>      Hello All,
>      I couldn't understand something about "operation" attribute in
>      edit-config request,revision 4 page 28. That is, when there is no
>      "operation" attrb. we should merge the data with the "target file"
>      from the
>      corresponding level. That is a default behaviour. However in the
>      example after the explanation , if i am not wrong ,we are again
>      replacing the value of "mtu" under the interface element.
>      Shouldn't we
>      here add a new interface into the taget configuration ?
>      "If the operation attribute is not specified, the configuration
>      is merged into the configuration datastore.
>      The operation attribute has one of the following values:
>      merge: The configuration data identified by the element
>      containing this attribute is merged with the configuration
>      at the corresponding level in the configuration datastore
>      identified by the target parameter. This is the default
>      behavior.
>      "
>      Example:
>      Set the MTU to 1500 on an interface named "Ethernet0/0" in the
>      running configuration:
>      <  rpc message-id="101"
>      xmlns="urn:ietf:params:xml:ns:netconf:base:1.0"> 
>      <  edit-config> 
>      <  target> 
>      <  running/> 
>      <  /target> 
>      <  config> 
>      <  top xmlns="http://example.com/schema/1.2/config"> 
>      <  interface> 
>      <  name>  Ethernet0/0<  /name> 
>      <  mtu>  1500<  /mtu> 
>      <  /interface> 
>      <  /top> 
>      <  /config> 
>      <  /edit-config> 
>      <  /rpc> 
>      <  rpc-reply message-id="101"
>      xmlns="urn:ietf:params:xml:ns:netconf:base:1.0"> 
>      <  ok/> 
>      <  /rpc-reply> 
>      --
>      to unsubscribe send a message to [email-masked] with
>      the word 'unsubscribe' in a single line as the message text body.
>      archive: <  http://ops.ietf.org/lists/netconf/> 
> 
>  ------------------------------------------------------------
>  Wang Han
>  [email-masked] < mailto:[email-masked]> 
>  Research Center of Network Technology
>  Nanjing University of Posts and Telecommunications
>  ――――――――――――――――――――――――――
>